# class KLPrefs |
Definition | `#include <klineakconfig/klprefs.h>`
Inherits | KPrefs [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum { MailClientKMail, MailClientSendmail }
- enum { Yes, No }

#### Public Methods

- virtual ~KLPrefs ()
- void usrSetDefaults ()
- void usrReadConfig ()
- void usrWriteConfig ()
- void setFullName (const QString &)
- QString fullName ()
- void setEmail (const QString &)
- QString email ()

#### Public Static Methods

- static KLPrefs * instance ()

#### Public Members

- bool mEmailControlCenter
- bool mLEDs
- bool m1Run
- bool mRunOnStartup
- int mDefaultFormat
- int mMailClient
- QString mLineakAtExit
- QString mContribEmail
- QString mKlineakConfFile
- QString mKlineakDefFile

#### Protected Methods

- void fillMailDefaults ()

#### Private Methods

- KLPrefs ()

#### Private Members

- static KLPrefs *mInstance
- QString mName
- QString mEmail

## Detailed Description

enum { MailClientKMail, MailClientSendmail } | ###

enum { Yes, No } | ###

~KLPrefs () | ### ~KLPrefs

[virtual]

KLPrefs * instance () | ### instance

[static]

void usrSetDefaults () | ### usrSetDefaults

Reimplemented from KPrefs.

void usrReadConfig () | ### usrReadConfig

Reimplemented from KPrefs.

void usrWriteConfig () | ### usrWriteConfig

Reimplemented from KPrefs.

void fillMailDefaults () | ### fillMailDefaults

[protected]

KLPrefs () | ### KLPrefs

[private]

static KLPrefs * mInstance | ### mInstance

[private]

void setFullName (const QString &) | ### setFullName

QString fullName () | ### fullName

void setEmail (const QString &) | ### setEmail

QString email () | ### email

bool mEmailControlCenter | ### mEmailControlCenter

bool mLEDs | ### mLEDs

bool m1Run | ### m1Run

bool mRunOnStartup | ### mRunOnStartup

int mDefaultFormat | ### mDefaultFormat

int mMailClient | ### mMailClient

QString mLineakAtExit | ### mLineakAtExit

QString mContribEmail | ### mContribEmail

QString mKlineakConfFile | ### mKlineakConfFile

QString mKlineakDefFile | ### mKlineakDefFile

QString mName | ### mName

[private]

QString mEmail | ### mEmail

[private]

Generated by: sheldonl on shugaru on Thu Oct 3 22:56:49 2002, using kdoc 2.0a53.